QGIS Application - Bug report #5677
Translated strings show up untranslated in the app
2012-05-30 02:13 PM - Jean-Roc Morreale

Status: Closed

Priority: High

Assignee:

Category: Translations and international

Affected QGIS version:master Regression?: No
Operating System: fedora Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 15220
Description

QGIS 1.8 is showing untranslated strings in the Ul even if it is correctly translated in the qgis_*.ts file

example from a translation in the *.ts :

<message>
<location filename="../src/ui/qgisapp.ui" line="1494"/>
<source>Style Manager...</source>
<translation>Gestionnaire de style...</translation>
</message>

Related issues:

Related to QGIS Application - Bug report # 7002: some menus still untranslate...

Closed

2013-01-16

History

#1 - 2012-05-30 11:53 PM - Jiirgen Fischer

no reproducable here - are you sure you are trying an up-to-date build?

#2 - 2012-05-31 12:40 AM - Jean-Roc Morreale

| did a git fetch/pull upstream master, status was clean. I'll try again tonight and compare with osgeo4w.

#3 - 2012-05-31 01:28 PM - Jean-Roc Morreale

- Resolution set to invalid

As Richard suggested on the tr's ml, | released a *.gm file with Qt linguist and copied it into /usr/share/qgis/i18n/ instead of the one created during the

compilation.

The compilation was based on an up-to-date master branch so in theory both *.qm should be the same but the one compiled produce a 95% completion

rate in the 'about' tab while the other on osgeo4w gives a 99.7%

I'm closing this bug as invalid as it seems to be limited to my build chain

#4 - 2012-06-01 02:50 PM - Jiirgen Fischer
- Status changed from Open to Closed
